Bug 984139 - "kernel BUG at fs/btrfs/extent-tree.c:6712!"
"kernel BUG at fs/btrfs/extent-tree.c:6712!"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: fs-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 20:09 EDT by Ask Bjørn Hansen
Modified: 2013-09-23 16:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 16:25:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ask Bjørn Hansen 2013-07-12 20:09:28 EDT
Description of problem:

After deleting snapshots (I think) I regularly get this error which seems to require a reboot to clean up. All IO to the filesystem either gets really slow or stops completely after (maybe after it happens a few times).

I am running 3.9.9-301.fc19.x86_64

[ 6632.226550] WARNING: at fs/btrfs/extent-tree.c:829 btrfs_lookup_extent_info+0x369/0x370 [btrfs]()
[ 6632.226557] Hardware name: Macmini4,1
[ 6632.226562] Modules linked in: btrfs zlib_deflate raid6_pq libcrc32c xor iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 brcmsmac cordic brcmutil mac80211 acpi_cpufreq cfg80211 mperf coretemp kvm_intel kvm snd_hda_codec_hdmi snd_hda_codec_cirrus btusb bluetooth tg3 snd_usb_audio snd_hda_intel snd_hda_codec snd_usbmidi_lib snd_rawmidi snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd rfkill uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media applesmc
[ 6632.226715]  input_polldev sdhci_pci sdhci mmc_core soundcore microcode bcma shpchp ptp pps_core nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm drm firewire_ohci i2c_core firewire_core crc_itu_t video
[ 6632.226767] Pid: 1279, comm: btrfs-cleaner Not tainted 3.9.9-301.fc19.x86_64 #1
[ 6632.226773] Call Trace:
[ 6632.226783]  [<ffffffff8105cc56>] warn_slowpath_common+0x66/0x80
[ 6632.226790]  [<ffffffff8105cd2a>] warn_slowpath_null+0x1a/0x20
[ 6632.226804]  [<ffffffffa0737479>] btrfs_lookup_extent_info+0x369/0x370 [btrfs]
[ 6632.226819]  [<ffffffffa073764a>] reada_walk_down+0x1ca/0x330 [btrfs]
[ 6632.226834]  [<ffffffffa073b068>] do_walk_down+0x4c8/0x530 [btrfs]
[ 6632.226849]  [<ffffffffa0737bf2>] ? walk_down_proc+0x2b2/0x2e0 [btrfs]
[ 6632.226864]  [<ffffffffa073b196>] walk_down_tree+0xc6/0x100 [btrfs]
[ 6632.226880]  [<ffffffffa073d4a3>] btrfs_drop_snapshot+0x3d3/0x620 [btrfs]
[ 6632.226898]  [<ffffffffa075053f>] btrfs_clean_old_snapshots+0x9f/0x120 [btrfs]
[ 6632.226914]  [<ffffffffa07475f9>] cleaner_kthread+0xa9/0x120 [btrfs]
[ 6632.226929]  [<ffffffffa0747550>] ? check_leaf.isra.41+0x310/0x310 [btrfs]
[ 6632.226938]  [<ffffffff810802a0>] kthread+0xc0/0xd0
[ 6632.226944]  [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
[ 6632.226952]  [<ffffffff8164f26c>] ret_from_fork+0x7c/0xb0
[ 6632.226958]  [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
[ 6632.226964] ---[ end trace 0b4e3a2c88f9f822 ]---

and the second half:

[ 6632.226989] kernel BUG at fs/btrfs/extent-tree.c:6712!
[ 6632.226994] invalid opcode: 0000 [#1] SMP
[ 6632.227001] Modules linked in: btrfs zlib_deflate raid6_pq libcrc32c xor iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 brcmsmac cordic brcmutil mac80211 acpi_cpufreq cfg80211 mperf coretemp kvm_intel kvm snd_hda_codec_hdmi snd_hda_codec_cirrus btusb bluetooth tg3 snd_usb_audio snd_hda_intel snd_hda_codec snd_usbmidi_lib snd_rawmidi snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd rfkill uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media applesmc
[ 6632.227405]  input_polldev sdhci_pci sdhci mmc_core soundcore microcode bcma shpchp ptp pps_core nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm drm firewire_ohci i2c_core firewire_core crc_itu_t video
[ 6632.227405] CPU 1
[ 6632.227405] Pid: 1279, comm: btrfs-cleaner Tainted: G        W    3.9.9-301.fc19.x86_64 #1 Apple Inc. Macmini4,1/Mac-F2208EC8
[ 6632.227405] RIP: 0010:[<ffffffffa07377a2>]  [<ffffffffa07377a2>] reada_walk_down+0x322/0x330 [btrfs]
[ 6632.227405] RSP: 0018:ffff880222fd7c10  EFLAGS: 00010246
[ 6632.227405] RAX: 0000000000000000 RBX: 0000000000000039 RCX: 0000000000a36c28
[ 6632.227405] RDX: 0000000000a36c27 RSI: ffff880013e642d0 RDI: ffff8802324bfd00
[ 6632.227405] RBP: ffff880222fd7ca0 R08: 000060fdc0000f00 R09: 0000000000000465
[ 6632.227405] R10: 00000000000045e0 R11: ffff880231cb83a6 R12: 0000005c5605f000
[ 6632.227405] R13: 00000000000007be R14: 0000000000000018 R15: ffff88007aff90c0
[ 6632.227405] FS:  0000000000000000(0000) GS:ffff88023fd00000(0000) knlGS:0000000000000000
[ 6632.227405] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 6632.227405] CR2: 00007f2933817000 CR3: 0000000001c0c000 CR4: 00000000000407e0
[ 6632.227405] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 6632.227405] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 6632.227405] Process btrfs-cleaner (pid: 1279, threadinfo ffff880222fd6000, task ffff880231d09770)
[ 6632.227405] Stack:
[ 6632.227405]  ffff880223227a00 ffff880013e64ab0 00000000000045e0 000010000000005a
[ 6632.227405]  ffff880233ab1000 ffff880077315000 0000000000000000 0000000000000000
[ 6632.227405]  0000000000000102 0000000000000000 0000000005c58eac a80000005c58eab0
[ 6632.227405] Call Trace:
[ 6632.227405]  [<ffffffffa073b068>] do_walk_down+0x4c8/0x530 [btrfs]
[ 6632.227405]  [<ffffffffa0737bf2>] ? walk_down_proc+0x2b2/0x2e0 [btrfs]
[ 6632.227405]  [<ffffffffa073b196>] walk_down_tree+0xc6/0x100 [btrfs]
[ 6632.227405]  [<ffffffffa073d4a3>] btrfs_drop_snapshot+0x3d3/0x620 [btrfs]
[ 6632.227405]  [<ffffffffa075053f>] btrfs_clean_old_snapshots+0x9f/0x120 [btrfs]
[ 6632.227405]  [<ffffffffa07475f9>] cleaner_kthread+0xa9/0x120 [btrfs]
[ 6632.227405]  [<ffffffffa0747550>] ? check_leaf.isra.41+0x310/0x310 [btrfs]
[ 6632.227405]  [<ffffffff810802a0>] kthread+0xc0/0xd0
[ 6632.227405]  [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
[ 6632.227405]  [<ffffffff8164f26c>] ret_from_fork+0x7c/0xb0
[ 6632.227405]  [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
[ 6632.227405] Code: ff 0f 1f 84 00 00 00 00 00 f6 45 a9 01 0f 85 12 fe ff ff e9 fa fe ff ff 90 48 8b 45 90 8b 80 c0 03 00 00 89 45 8c e9 a4 fd ff ff <0f> 0b 66 66 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48
[ 6632.227405] RIP  [<ffffffffa07377a2>] reada_walk_down+0x322/0x330 [btrfs]
[ 6632.227405]  RSP <ffff880222fd7c10>
[ 6632.383901] ---[ end trace 0b4e3a2c88f9f823 ]---
Comment 1 Josh Boyer 2013-09-18 16:54:57 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Josef Bacik 2013-09-23 16:25:09 EDT
This may be extent tree corruption, please make sure you are running the latest btrfs-progs from git.kernel.org and run btrfsck on the disk.  If it complains then try btrfsck --repair and see if that fixes the corruption.  If you are still having issues please file a bugzilla at bugzilla.kernel.org and set the component to btrfs.

Note You need to log in before you can comment on or make changes to this bug.